Package org.opensaml.core.xml.persist

# Class FilesystemLoadSaveManager.FileIterator

java.lang.Object
org.opensaml.core.xml.persist.FilesystemLoadSaveManager.FileIterator

All Implemented Interfaces:
  `Iterator<Pair<String,T>>`

Enclosing class:
  FilesystemLoadSaveManager<T extends XMLObject>

private class FilesystemLoadSaveManager.FileIterator extends Object implements Iterator<Pair<String,T>>
Iterator which provides lazy iteration over the managed files.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Pair<String,T>`
`current`
Current value to return from next().
`private Iterator<String>`
`keysIter`
Iterator for the keys.

## Constructor Summary

Constructors
Constructor
Description
`FileIterator(Collection<String> filenames)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`private Pair<String,T>`
`getNext()`
Internal support to get the next item for iteration.
`boolean`
`hasNext()`
`Pair<String,T>`
`next()`
`void`
`remove()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Field Details

### keysIter

@Nonnull private Iterator<String> keysIter
Iterator for the keys.

### current

@Nullable private Pair<String,T extends XMLObject> current
Current value to return from next().

## Constructor Details

### FileIterator

public FileIterator(@Nonnull Collection<String> filenames)
Constructor.

Parameters:
  `filenames` - Snapshot of filesystem keys at time of construction

## Method Details

### hasNext

public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<Pair<String,T extends XMLObject>>`

### next

public Pair<String,T> next()

Specified by:
  `next` in interface `Iterator<Pair<String,T extends XMLObject>>`

### remove

public void remove()

Specified by:
  `remove` in interface `Iterator<Pair<String,T extends XMLObject>>`

### getNext

@Nullable private Pair<String,T> getNext()
Internal support to get the next item for iteration.

Returns:
  the next item for iteration, or null if no more items